Subject: bug#26816: mouse movement support for OS X

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 May 2017 17:37:58 +0300

> Date: Sun, 14 May 2017 14:59:10 +0100
> From: Alan Third <[email-masked]>
> Cc: [email-masked], martin rudalics <[email-masked]>,
> 	Eli Zaretskii <[email-masked]>
> 
> On Sun, May 14, 2017 at 03:29:57PM +0200, Charles A. Roelli wrote:
> > Attached is a patch now working with multiple monitors.  I also added
> > `ns-set-mouse-absolute-pixel-position', a test and a NEWS entry.  The test
> > works interactively, but it requires a frame to run and I'm not sure whether
> > tests run with them by default.
> 
> Usually you run tests with ’make check’, and there’s no frame
> available.

There's always a frame, even in batch sessions.  Observe:

  emacs -batch --eval "(message \"%s\" (selected-frame))"
    => #<frame F1 017b9d08>

It's just that it's not a frame which this feature could use.

> I’ve just checked and it does throw up an error for that
> test. I’m not sure how that should be handled.

You could explicitly test for non-interactive sessions, and skip the
test, or display a message that this test can only be run
interactively.  Would that be good enough?